Name:			polipo
Version:		1.0.4.1
Release:		2%{?dist}
Summary:		Lightweight caching web proxy
License:		MIT
Source0:		http://freehaven.net/~chrisd/%{name}/%{name}-%{version}.tar.gz
Source1:		%{name}.init
Source2:		%{name}.config
Source3:		%{name}.forbidden
Source4:		%{name}.logrotate
Source5:		%{name}.nm
#Patch0:			
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Group:			System Environment/Daemons
URL:			http://www.pps.jussieu.fr/~jch/software/%{name}/
BuildRequires:		texinfo
Requires:		logrotate
Requires(post):		info
Requires(preun):	info
Requires(pre):		shadow-utils
Requires(post):		chkconfig
Requires(preun):	chkconfig
# This is for /sbin/service
Requires(preun):	initscripts
Requires(postun):	initscripts



%description
Polipo is a lightweight caching web proxy that was designed as a personal
cache. It is able to cache incomplete objects and will complete them using
range requests. It will use HTTP/1.1 pipelining if supported by the remote
server.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix} BINDIR=%{_bindir} CDEBUGFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install PREFIX=%{_prefix} BINDIR=%{_bindir} MANDIR=%{_mandir} \
	INFODIR=%{_infodir} TARGET=%{buildroot}
install -m 0755 -d %{buildroot}%{_sysconfdir}/%{name}
install -m 0755 -d %{buildroot}%{_localstatedir}/run/%{name}
install -m 0750 -d %{buildroot}%{_localstatedir}/cache/%{name}
install -m 0755 -d %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/%{name}
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_initddir}/%{name}
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/config
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/forbidden
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -D -p -m 0755 %{SOURCE5} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/25-%{name}
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{_localstatedir}/cache/%{name} -s /sbin/nologin -c "Polipo Web Proxy" %{name}
for i in %{_localstatedir}/run/%{name} %{_localstatedir}/cache/%{name} ; do
	if [ -d $i ] ; then
		for adir in `find $i -maxdepth 0 \! -user %{name}`; do
			/bin/chown -Rf %{name}:%{name} $adir
			/bin/chmod -Rf u+rwX $adir
		done
	fi
done
exit 0

%post
/sbin/chkconfig --add %{name}
[ -e %{_localstatedir}/log/%{name} ] || /bin/touch %{_localstatedir}/log/%{name}
/bin/chmod -f 0640 %{_localstatedir}/log/%{name}
/bin/chown -f %{name}:%{name} %{_localstatedir}/log/%{name}

/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz || : 

%preun
if [ $1 = 0 ] ; then
	/sbin/service %{name} stop >/dev/null 2>&1
	/sbin/chkconfig --del %{name}
	/sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/%{name}.info.gz || :
fi

%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service %{name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING *.sample
%dir %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}
%attr(0750,%{name},%{name}) %dir %{_localstatedir}/cache/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/run/%{name}
%ghost %config %{_localstatedir}/log/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.*
%{_infodir}/%{name}.*
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/forbidden
%attr(0755,root,root) %{_initddir}/%{name}
%attr(0755,root,root) %{_sysconfdir}/NetworkManager/dispatcher.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%changelog
* Sun Feb 21 2010 Chen Lei <supercyper@163.com> 1.0.4.1-2
- fix for rpmlint warnings

* Sun Feb 21 2010 Chen Lei <supercyper@163.com> 1.0.4.1-1
- initial rpm build

